/*
*
* Copyright 2012  Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/

#ifndef __EXTENDED_ELM_H__
#define __EXTENDED_ELM_H__

#include <Elementary.h>

Evas_Object *elm_scroller_create(Evas_Object *parent);
Evas_Object *elm_layout_create(Evas_Object *parent, const char *file, const char *group);
Evas_Object *elm_label_create(Evas_Object *parent, const char *text);
Evas_Object *elm_check_create(Evas_Object *parent);
Evas_Object *elm_button_create(Evas_Object *parent, const char *text, Evas_Smart_Cb click_cb,
                   void *data);
Evas_Object *elm_entry_create(Evas_Object *parent, const char *text);
Evas_Object *elm_icon_create(Evas_Object *parent, const char *file);
Evas_Object *elm_navigator_btn_create(Evas_Object *parent, const char *text,
                      const char *icon_path, const char *style,
                      Evas_Smart_Cb click_cb, void *data);
Evas_Object *elm_swallowed_scroller(Evas_Object *parent, const char *part);
Evas_Object *elm_swallowed_layout(Evas_Object *parent, const char *part, const char *file,
                  const char *group);
Evas_Object *elm_swallowed_button(Evas_Object *parent, const char *part, const char *text,
                  Evas_Smart_Cb click_cb, void *data);
Evas_Object *elm_swallowed_entry(Evas_Object *parent, const char *part, const char *text);
Evas_Object *elm_swallowed_icon(Evas_Object *parent, const char *part, const char *file);
void elm_layout_content_del(Evas_Object *parent, const char *part);

#endif                /* __EXTENDED_ELM_H__ */
