/*
*
* Copyright 2012  Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/

#ifndef __SUPPLEMENT_H__
#define __SUPPLEMENT_H__

#include <Elementary.h>
#include <bundle.h>
#include <ui-gadget.h>

/* extended type definition */
typedef struct ui_gadget ui_gadget_t;
typedef struct ug_cbs ug_cbs_t;

/* extended macroes */
#define evas_object_single_event_dump(obj, event) \
    evas_object_event_callback_add(obj, event, evas_object_event_hit, #obj"\t"#event)

#define evas_object_events_dump(obj) \
do { \
    evas_object_single_event_dump(obj, EVAS_CALLBACK_MOVE); \
    evas_object_single_event_dump(obj, EVAS_CALLBACK_RESIZE); \
    evas_object_single_event_dump(obj, EVAS_CALLBACK_MOUSE_DOWN); \
    evas_object_single_event_dump(obj, EVAS_CALLBACK_HOLD); \
    evas_object_single_event_dump(obj, EVAS_CALLBACK_MOUSE_UP); \
    evas_object_single_event_dump(obj, EVAS_CALLBACK_DEL); \
    evas_object_single_event_dump(obj, EVAS_CALLBACK_FREE); \
} while (0)

/* dump specified event of smart object */
#define evas_object_smart_event_dump(obj, event) \
    evas_object_smart_callback_add(obj, event, evas_object_smart_event_hit, #obj "\t" event);

/* extended functions */
void service_dump(service_h service);
Eina_Bool service_key_check(service_h service, const char *key, const char *val);
void evas_object_geometry_dump(Evas_Object *eo);
void evas_object_event_hit(void *data, Evas *e, Evas_Object *obj, void *event_info);
void evas_object_smart_event_hit(void *data, Evas_Object *obj, void *event_info);
void evas_object_render_flush_hook(Evas_Object *obj, Evas_Smart_Cb cb, void *data);
void elm_widget_on_focus_hook_set(Evas_Object *obj, void (*func) (void *data, Evas_Object *obj), void *data);

#endif                /* __SUPPLEMENT_H__ */
