/*
*
* Copyright 2012  Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/
#ifndef __memo_efl_H__
#define __memo_efl_H__

#include <Elementary.h>
#include <libintl.h>
#include <bundle.h>
#include <ui-gadget.h>
#include <memo-assist.h>
#include <dlog.h>

#define PKGNAME "ug-memo-efl"

#define _EDJ(o)            elm_layout_edje_get(o)
#define _(s)            dgettext(PKGNAME, s)
#define dgettext_noop(s)    (s)
#define N_(s)            dgettext_noop(s)

#define EDJE_COLOR_CLASS_SET(name, r, g, b, a)\
    (edje_color_class_set(name, r, g, b, a, 0, 0, 0, 0, 0, 0, 0, 0))\

#define EDJE_COLOR_CLASS_GET(name, r, g, b, a)\
    (edje_color_class_get(name, r, g, b, a, 0, 0, 0, 0, 0, 0, 0, 0))\

typedef struct ug_data {
    Evas_Object *base;
    ui_gadget_h ug;
    char buf[MEMO_BUFFER_SIZE]; /* for temporarily usage only */
    void *h_ug;
    Elm_Theme *th; /* customized theme for UG */
}ug_data_t;

Eina_Bool edit_view_pre_condition_check(service_h service);
void *memo_load_edit_view(ug_data_t *ugd, service_h service);
void memo_del_edit_view(void *h_ev);
void *memo_load_select_view(ug_data_t *ugd, service_h service);
void *memo_load_detail_view(ug_data_t *ugd, service_h service);

#endif /* __memo_efl_H__ */
