/*
*
* Copyright 2012  Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/

#ifndef __MEMO_GENLIST_H__
#define __MEMO_GENLIST_H__

typedef struct __gl_data_t {
    /* common */
    int index;
    int has_doodle;
    time_t mod_time;
    Evas_Smart_Cb on_select;
    /* checkbox */
    Eina_Bool check;
    Evas_Smart_Cb on_change;
    /* sweep */
    Evas_Smart_Cb on_delete;
    Evas_Smart_Cb on_send;
    /* search */
    const char *search;
    /* user data */
    void *user_data;
} gl_data_t;

char *memo_gl_label_get(void *data, Evas_Object *obj, const char *part);
Evas_Object *memo_gl_icon_get(void *data, Evas_Object *obj, const char *part);
Eina_Bool memo_gl_state_get(void *data, Evas_Object *obj, const char *part);
void memo_gl_del(void *data, Evas_Object *obj);
void memo_gl_itc_init(Elm_Genlist_Item_Class *itc, const char *style);
void memo_gld_init(gl_data_t *data, memo_data_t *md, void *user_data, Evas_Smart_Cb on_select);
gl_data_t *memo_gld_sentinel_create(void *user_data);

#endif                /* __MEMO_GENLIST_H__ */
