/*
*
* Copyright 2012  Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/
#ifndef __MEMO_AUTOLINK_H__
#define __MEMO_AUTOLINK_H__

enum anchor_t {
    NOT_ANCHOR = 0,
    ANCHOR_PHONE,
    ANCHOR_EMAIL,
    ANCHOR_URL,
};

struct anchor_popup_item_t {
    char *label;
    void (*response) (void *data, Evas_Object *obj, void *event_info);
    const char *domain; /* for i18n */
};

typedef struct autolink_data_t {
    Evas_Object *win_main;
    Evas_Object *popup;
    enum anchor_t type;
    char *info;
} autolink_data;

GString *autolink_add_anchor(const char *content);
void autolink_anchor_clicked_cb(void *data, Evas_Object *obj, void *event_info);

#endif                /* __MEMO_AUTOLINK_H__ */
