/*
*
* Copyright 2012  Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/

#ifndef __MEMO_STRING_H__
#define __MEMO_STRING_H__

/* system string */
#define MEMO_I18N_ADD                        dgettext("sys_string", "IDS_COM_SK_ADD") /* Add */
#define MEMO_I18N_BACK                       dgettext("sys_string", "IDS_COM_BODY_BACK") /* Back */
#define MEMO_I18N_CALENDAR                   dgettext("sys_string", "IDS_COM_BODY_CALENDAR") /* Calendar */
#define MEMO_I18N_CANCEL                     dgettext("sys_string", "IDS_COM_POP_CANCEL") /* Cancel */
#define MEMO_I18N_CLOSE                      dgettext("sys_string", "IDS_COM_BODY_CLOSE") /* Close */
#define MEMO_I18N_DELETE                     dgettext("sys_string", "IDS_COM_BODY_DELETE") /* Delete */
#define MEMO_I18N_DONE                       dgettext("sys_string", "IDS_COM_BODY_DONE") /* Done */
#define MEMO_I18N_EDIT                       dgettext("sys_string", "IDS_COM_BODY_EDIT") /* Edit */
#define MEMO_I18N_EMAIL                      dgettext("sys_string", "IDS_COM_BODY_EMAIL") /* Email */
#define MEMO_I18N_MEMO                       dgettext("sys_string", "IDS_COM_BODY_MEMO") /* Memo */
#define MEMO_I18N_MESSAGE                    dgettext("sys_string", "IDS_COM_BODY_MESSAGE") /* Message */
#define MEMO_I18N_NEW                        dgettext("sys_string", "IDS_COM_SK_NEW") /* New */
#define MEMO_I18N_NO                         dgettext("sys_string", "IDS_COM_SK_NO") /* No */
#define MEMO_I18N_QUIT                       dgettext("sys_string", "IDS_COM_SK_QUIT") /* Quit */
#define MEMO_I18N_SEARCH                     dgettext("sys_string", "IDS_COM_BODY_SEARCH") /* Search */
#define MEMO_I18N_SELECT_ALL                 dgettext("sys_string", "IDS_COM_BODY_SELECT_ALL") /* Select all */
#define MEMO_I18N_SEND                       dgettext("sys_string", "IDS_COM_BODY_SEND") /* Send */
#define MEMO_I18N_SEND_MESSAGE               dgettext("sys_string", "IDS_COM_BODY_SEND_MESSAGE") /* Send message */
#define MEMO_I18N_SET                        dgettext("sys_string", "IDS_COM_SK_SET") /* Set */
#define MEMO_I18N_SHARE                      dgettext("sys_string", "IDS_COM_BUTTON_SHARE") /* Share */
#define MEMO_I18N_VIDEO_CALL                 dgettext("sys_string", "IDS_COM_BODY_VIDEO_CALL") /* Video call */
#define MEMO_I18N_VOICE_CALL                 dgettext("sys_string", "IDS_COM_BODY_VOICE_CALL") /* Voice call */
#define MEMO_I18N_YES                        dgettext("sys_string", "IDS_COM_SK_YES") /* Yes */

/* app string */
#define MEMO_I18N_ADD_COMMENT                dgettext("memo", "IDS_MEMO_BODY_ADD_COMMENT") /* Add comment */
#define MEMO_I18N_ADD_TO_CONTACT             dgettext("memo", "IDS_MEMO_BODY_ADD_TO_CONTACT") /* Add to contact */
#define MEMO_I18N_DRAWING                    dgettext("memo", "IDS_MEMO_BODY_DRAWING") /* Drawing */
#define MEMO_I18N_EDIT_NOTE                  dgettext("memo", "IDS_MEMO_BODY_EDIT_NOTE") /* Edit note */
#define MEMO_I18N_SAVE_MEMO                  dgettext("memo", "IDS_MEMO_POP_DIALOG_SAVE_MEMO") /* Save memo? */
#define MEMO_I18N_SELECT_MEMO                dgettext("memo", "IDS_MEMO_HEADER_SELECT_MEMO_ABB") /* Select memo */
#define MEMO_I18N_SEND_EMAIL                 dgettext("memo", "IDS_MEMO_OPT_SEND_EMAIL") /* Send email */
#define MEMO_I18N_TEXT                       dgettext("memo", "IDS_MEMO_BODY_TEXT") /* Text */
#define MEMO_I18N_1_MEMO_SELECTED            dgettext("memo", "IDS_MEMO_POP_1_MEMO_SELECTED") /* 1 memo selected */
#define MEMO_I18N_D_MEMOS_SELECTED           dgettext("memo", "IDS_MEMO_POP_PD_MEMOS_SELECTED") /* %d memos selected */

/* custom string */
#define MEMO_I18N_EDIT_COMMENT               _("Edit comment") /* Edit comment */
#define MEMO_I18N_EDIT_DRAWING               _("Edit drawing") /* Edit drawing */
#define MEMO_I18N_NEW_DRAWING                _("New drawing") /* New drawing */
#define MEMO_I18N_NEW_NOTE                   _("New note") /* New note */
#define MEMO_I18N_WELCOME_TO_TIZEN_MEMO    _("Welcome to Tizen Memo") /* Welcome to Tizen Memo */

#endif                /* __MEMO_STRING_H__ */
